"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunkQVN3W7WKcjs = require('./chunk-QVN3W7WK.cjs');


var _chunkNYVRXH32cjs = require('./chunk-NYVRXH32.cjs');

// src/common/log/log-memory.ts
function LoggerMemoryHandler(opt) {
  const { level = void 0, filter = void 0, messages = [] } = opt;
  const matchesNamespace = _chunkQVN3W7WKcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunkQVN3W7WKcjs.useLevelFilter.call(void 0, level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    msg.timestamp = _chunkNYVRXH32cjs.getTimestamp.call(void 0, );
    messages.push(msg);
  };
}



exports.LoggerMemoryHandler = LoggerMemoryHandler;
//# sourceMappingURL=chunk-47NWBHSZ.cjs.map